# $Id: Makefile.inc,v 1.1 2001/08/21 12:33:16 roam Exp $

PROG=		vpass

SRCS=		vpass.c vp_err.c vp_net.c vp_net_ucspi.c vp_util.c

VERPFX=		VP
VP_VER_MAJ=	1
VP_VER_MIN=	0
VP_VER_PRE=	1
VP_VER_PATCH=	0

PREFIX?=	/usr/local
BINDIR=		${PREFIX}/bin
MANDIR=		${PREFIX}/man/man

CC?=		gcc
WARNS?=		2
CFLAGS_WARN=	-Wall -W -Wstrict-prototypes -Wmissing-prototypes \
		-Wwrite-strings \
		#${BDECFLAGS}
CFLAGS_INC=	-I. -I.. -I/usr/local/include
# CFLAGS_OPT and CFLAGS_DBG must be defined in OS-dependent Makefiles
CFLAGS_MISC=	-D_GNU_SOURCE

CFLAGS_VER=	-DVP_VER_MAJ=${VP_VER_MAJ} \
		-DVP_VER_MIN=${VP_VER_MIN} \
		-DVP_VER_PRE=${VP_VER_PRE} \
		-DVP_VER_PATCH=${VP_VER_PATCH} \
		-DVP_OS=\"${CFLAGS_OS_VER}\" \
		-DVP_OSREL=\"${CFLAGS_OS_REL}\" \
		-DVP_OSHOST=\"${CFLAGS_OS_HOST}\" \
		-DVP_PREFIX=\"${PREFIX}\"

CFLAGS=		${CFLAGS_WARN} ${CFLAGS_OPT} ${CFLAGS_DBG}
CFLAGS+=	${CFLAGS_INC} ${CFLAGS_OS} ${CFLAGS_VER} ${CFLAGS_MISC}

LDADD=
DPADD=

RM?=		rm -f
MKDIR?=		mkdir -p
SETENV?=	env
COMPRESS_CMD?=	gzip -cn
