#include <stdlib.h>

#include "vpass.h"
#include "vp_net.h"
#include "vp_net_ucspi.h"
#include "vp_util.h"

#ifdef EBUG
#include <stdio.h>
#endif

static char	cvs_id[] __unused =
"$Id: vp_net_ucspi.c,v 1.1 2001/08/21 12:33:16 roam Exp $";

static const char	*ucs_proto, *ucs_remaddr, *ucs_remport;

vp_err_t
vp_net_ucspi_connect(int fds[2]) {
	char *name, *v;
	vp_err_t r;

	RDBG(("ucspi: examining the environment\n"));
	if (ucs_proto = getenv("PROTO"), ucs_proto == NULL)
		return (VP_ERR_NET_UCS_NOPROTO);

	if (r = vp_strmcat(&name, 2, ucs_proto, "REMOTEIP"), r)
		return (r);
	if (v = getenv(name), v != NULL) {
		RDBG(("ucspi: got remote IP address %s\n", v));
		ucs_remaddr = v;
	}
	free(name);

	if (r = vp_strmcat(&name, 2, ucs_proto, "REMOTEPORT"), r)
		return (r);
	if (v = getenv(name), v != NULL) {
		RDBG(("ucspi: got remote IP port %s\n", v));
		ucs_remport = v;
	}
	free(name);

	fds[0] = 6;
	fds[1] = 7;
	return (VP_ERR_NONE);
}
